"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isArrayExpression = exports.isObjectExpression = exports.isProgramNode = void 0;
const isProgramNode = (node) => node.type === 'Program';
exports.isProgramNode = isProgramNode;
const isObjectExpression = (node) => node.type === 'ObjectExpression';
exports.isObjectExpression = isObjectExpression;
const isArrayExpression = (node) => node.type === 'ArrayExpression';
exports.isArrayExpression = isArrayExpression;
