"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createOptimizedIdentifier = void 0;
const createIdentifier_1 = require("../util/createIdentifier");
const createOptimizedIdentifier = (tokens) => {
    const identifier = createIdentifier_1.createIdentifier();
    for (const [token] of [...tokens].sort((a, b) => b[1] - a[1])) {
        identifier(token);
    }
    return identifier;
};
exports.createOptimizedIdentifier = createOptimizedIdentifier;
