"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCSSParserConfiguration = void 0;
const fs = require("fs");
const { readFile } = fs.promises;
const getCSSParserConfiguration = async (parameters) => ({
    css: `${parameters.css || await readFile(parameters.file)}`,
    plugins: parameters.plugins,
    options: {
        ...parameters.options,
        from: parameters.file,
        map: parameters.map || {},
    },
});
exports.getCSSParserConfiguration = getCSSParserConfiguration;
