"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createTemporaryDirectory = void 0;
const path = require("path");
const os = require("os");
const fs = require("fs");
const { mkdtemp } = fs.promises;
const createTemporaryDirectory = async (prefix = '') => {
    const pathPrefix = path.join(os.tmpdir(), prefix || 'node-tmp-');
    const createdTemporaryDirectory = await mkdtemp(pathPrefix);
    return createdTemporaryDirectory;
};
exports.createTemporaryDirectory = createTemporaryDirectory;
