/// <reference types="node" />
import type { Hash, BinaryToTextEncoding } from 'crypto';
export interface IHashOptions {
    algorithm: string;
    encoding: BinaryToTextEncoding | 'base64url' | 'buffer';
}
export declare const getHash: (data: Parameters<Hash['update']>[0], { algorithm, encoding }?: IHashOptions) => Buffer | string;
