"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.write = void 0;
const util = require("util");
const write = (writable, messages, inspectOptions = {}) => {
    for (const message of messages) {
        writable.write(`${typeof message === 'string' ? message : util.inspect(message, inspectOptions)}\n`);
    }
};
exports.write = write;
