import type { Node } from 'acorn';
import type { IProgram, IObjectExpression, IArrayExpression } from './walker';
export declare const isProgramNode: (node: Node) => node is IProgram;
export declare const isObjectExpression: (node: Node) => node is IObjectExpression;
export declare const isArrayExpression: (node: Node) => node is IArrayExpression;
