import type * as postcss from 'postcss';
import type { IEsifyCSSResult, IImports, IPluginMangler } from './types';
export declare const mangleIdentifiers: ({ id, root, mangler, imports, rawPrefix }: {
    id: string;
    root: postcss.Root;
    mangler: IPluginMangler;
    imports: IImports;
    rawPrefix: string;
}) => Promise<{
    id: IEsifyCSSResult['id'];
    className: IEsifyCSSResult['className'];
}>;
