"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.plugin = exports.PluginName = void 0;
const getPluginConfiguration_1 = require("./getPluginConfiguration");
const createTransformer_1 = require("./createTransformer");
exports.PluginName = 'esifycss';
exports.plugin = Object.assign((props) => {
    const transform = createTransformer_1.createTransformer(getPluginConfiguration_1.getPluginConfiguration(props));
    return {
        postcssPlugin: exports.PluginName,
        Root: async (root, { result }) => {
            result.warn(JSON.stringify(await transform(root, result)));
        },
    };
}, { postcss: true });
