"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseCSS = void 0;
const postcss_1 = require("../util/postcss");
const getCSSParserConfiguration_1 = require("./getCSSParserConfiguration");
const parseCSS = async (parameters) => {
    const config = await getCSSParserConfiguration_1.getCSSParserConfiguration(parameters);
    return await postcss_1.postcss(config.plugins).process(config.css, config.options);
};
exports.parseCSS = parseCSS;
