"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.waitForInitialScanCompletion = void 0;
const waitForInitialScanCompletion = async (watcher) => {
    await new Promise((resolve, reject) => {
        watcher
            .once('error', reject)
            .once('ready', () => {
            watcher.removeListener('error', reject);
            resolve();
        });
    });
};
exports.waitForInitialScanCompletion = waitForInitialScanCompletion;
